{
	saved_firsttime [1]

	Init[ (s)
	{
		if(saved_firsttime = 1)
		{
			saved_firsttime = 0;

			PlayAnimation(3);
			if( GetID() = "tod" )
			{
				ShowEntity(false);
			}
		}
	} ]

	DelayReached[ (s)
	{
		if(s=1001)
		{
			TurnToLocation(16000,43400);
			PlayAnimation(3);
		}
	}]

	ReachedDestination[ (s)
	{
		if(s=1001)
		{
			SetPosition(14586,43400);
			TurnToLocation(14586,45000);
			PlayAnimation(2,127,3);
			Delay(2,1001);
		}

		return;
	}]
}